#!/bin/sh

# This script file is to help get fresh files from cvs

if [[ !("${1}" == "patches" || "${1}" == "downloads" || "${1}" == "committers") ]] ; then
   echo ""
   echo "    Usage: ${0} patches | downloads | committers"
   echo ""
else

subdir="${1}"

backupdir="${subdir}TempBackup"

echo "  save backup copies ..."
mkdir $backupdir
# Note: do not use recurvise, since that would copy all of 'drops'
cp ${subdir}/* $backupdir

rm ${subdir}/*
echo "  checking out head of $subdir from cvs ..."
cvs -Q -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -d $subdir -r HEAD releng.wtptools/downloadsites/webtools/$subdir 

echo "  make sure files have proper EOL format ..."
dos2unix -quiet -keepdate ${subdir}/* > /dev/null 2>/dev/null

fi
